[arch-commits] CVS update of extra/lib/perl-passwd-md5 (PKGBUILD license.txt)

Travis Willard travis at archlinux.org
Sun Apr 29 19:47:11 EDT 2007


    Date: Sunday, April 29, 2007 @ 19:47:11
  Author: travis
    Path: /home/cvs-extra/extra/lib/perl-passwd-md5

   Added: PKGBUILD (1.1) license.txt (1.1)

upgpkg: perl-passwd-md5 1.3-1
Move from community as dependency of makepasswd


-------------+
 PKGBUILD    |   33 +++++++++++++++++++++++++++++++++
 license.txt |    6 ++++++
 2 files changed, 39 insertions(+)


Index: extra/lib/perl-passwd-md5/PKGBUILD
diff -u /dev/null extra/lib/perl-passwd-md5/PKGBUILD:1.1
--- /dev/null	Sun Apr 29 19:47:11 2007
+++ extra/lib/perl-passwd-md5/PKGBUILD	Sun Apr 29 19:47:11 2007
@@ -0,0 +1,33 @@
+# $Id: PKGBUILD,v 1.1 2007/04/29 23:47:11 travis Exp $
+# Maintainer: Travis Willard <travisw at wmpub.ca>
+# Contributor: Wael Nasreddine <gandalf at siemens-mobiles.org>
+
+pkgname=perl-passwd-md5
+pkgver=1.3
+pkgrel=1
+pkgdesc="Provides a crypt()-compatible interface to new MD5-based crypt()"
+arch=('i686' 'x86_64')
+url="http://cpan.org/modules/by-module/Crypt"
+license=('custom')
+depends=('perl')
+source=(http://cpan.org/modules/by-module/Crypt/Crypt-PasswdMD5-$pkgver.tar.gz license.txt)
+
+build() {
+  cd $startdir/src/Crypt-PasswdMD5-$pkgver
+
+  perl Makefile.PL || return 1
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+
+  # Change installation directory to current and remove directory that contains perllocal.pod
+  mv $startdir/pkg/usr/lib/perl5/site_perl/?.?.? $startdir/pkg/usr/lib/perl5/site_perl/current && \
+  rm -r $startdir/pkg/usr/lib/perl5/?.?.?
+
+  install -Dm0644 $startdir/src/license.txt \
+                  $startdir/pkg/usr/share/licenses/$pkgname/license.txt
+}
+
+md5sums=('368205b1be8c0d4f807afe25d6fbd1ad'
+         '93114daa9e1f5568b869a5e8373c2857')
+sha1sums=('887782eb7fd1568ce9514f46156a08c415c26fdf'
+          '3f90ced7fd372509d56d26d500bea957679da06c')
Index: extra/lib/perl-passwd-md5/license.txt
diff -u /dev/null extra/lib/perl-passwd-md5/license.txt:1.1
--- /dev/null	Sun Apr 29 19:47:11 2007
+++ extra/lib/perl-passwd-md5/license.txt	Sun Apr 29 19:47:11 2007
@@ -0,0 +1,6 @@
+"THE BEER-WARE LICENSE" (Revision 42):
+<phk at login.dknet.dk>  wrote this  file.  As  long as  you  retain this
+notice you can  do whatever you want with this stuff.  If we meet some
+day, and you  think this stuff is worth  it, you can buy me  a beer in
+return.  Poul-Henning Kamp
+




More information about the arch-commits mailing list